org.jbpm.casemgmt.api

## Interface AdvanceCaseRuntimeDataService

- All Known Implementing Classes:
    AdvanceCaseRuntimeDataServiceImpl

      public interface AdvanceCaseRuntimeDataService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CASE_ATTR_CORRELATION_KEY`
    `static String` | `CASE_ATTR_DEFINITION_ID`
    `static String` | `CASE_ATTR_DEPLOYMENT_ID`
    `static String` | `CASE_ATTR_INSTANCE_ID`
    `static String` | `CASE_COLLECTION_VARIABLES`
    `static String` | `TASK_ATTR_NAME`
    `static String` | `TASK_ATTR_OWNER`
    `static String` | `TASK_ATTR_STATUS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProcessInstanceWithVarsDesc>` | `queryCaseByVariables(List<QueryParam> attributes, List<QueryParam> caseVariables, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<ProcessInstanceWithVarsDesc>` | `queryCaseByVariablesAndTask(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, List<String> potentialOwners, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, List<String> potentialOwners, org.kie.api.runtime.query.QueryContext queryContext)`

- - ### Field Detail

    - #### TASK_ATTR_NAME

          static final String TASK_ATTR_NAME

      See Also:
        Constant Field Values

    - #### TASK_ATTR_OWNER

          static final String TASK_ATTR_OWNER

      See Also:
        Constant Field Values

    - #### TASK_ATTR_STATUS

          static final String TASK_ATTR_STATUS

      See Also:
        Constant Field Values

    - #### CASE_ATTR_INSTANCE_ID

          static final String CASE_ATTR_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CASE_ATTR_CORRELATION_KEY

          static final String CASE_ATTR_CORRELATION_KEY

      See Also:
        Constant Field Values

    - #### CASE_ATTR_DEFINITION_ID

          static final String CASE_ATTR_DEFINITION_ID

      See Also:
        Constant Field Values

    - #### CASE_ATTR_DEPLOYMENT_ID

          static final String CASE_ATTR_DEPLOYMENT_ID

      See Also:
        Constant Field Values

    - #### CASE_COLLECTION_VARIABLES

          static final String CASE_COLLECTION_VARIABLES

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### queryCaseByVariables

          List<ProcessInstanceWithVarsDesc> queryCaseByVariables(List<QueryParam> attributes,
                                                                 List<QueryParam> caseVariables,
                                                                 org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryCaseByVariablesAndTask

          List<ProcessInstanceWithVarsDesc> queryCaseByVariablesAndTask(List<QueryParam> attributes,
                                                                        List<QueryParam> taskVariables,
                                                                        List<QueryParam> caseVariables,
                                                                        List<String> potentialOwners,
                                                                        org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryUserTasksByVariables

          List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables(List<QueryParam> attributes,
                                                                           List<QueryParam> taskVariables,
                                                                           List<QueryParam> caseVariables,
                                                                           List<String> potentialOwners,
                                                                           org.kie.api.runtime.query.QueryContext queryContext)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.